Clinia
MDMCollections

Retrieve a unified resource from mdm collection using its id

GET
/mdm/v1/collections/{collectionKey}/resources/{resourceId}

Retrieve a unified resource from mdm collection using its id.

X-Clinia-API-Key<token>

In: header

Path Parameters

collectionKey*string

Key of the collection.

resourceId*string

The Unified resource id.. Can also be an identifier with one of the following formats:

  • source:{sourceRecordId}:{sourceKey}.{sourceRecordType} (e.g. source:123:mySourceA.clinic). This is useful to fetch a record when knowing its source record id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/mdm/v1/collections/string/resources/string"
{  "id": "string",  "type": "string",  "meta": {    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identifier": [      {        "id": "string",        "system": "string",        "value": "string",        "use": "string",        "period": {          "id": "string",          "start": "string",          "end": "string"        }      }    ]  },  "sourceResources": [    {      "id": "string",      "type": "string",      "meta": {        "createdAt": "2019-08-24T14:15:22Z",        "identifier": [          {            "id": "string",            "system": "string",            "value": "string",            "use": "string",            "period": {              "id": "string",              "start": "string",              "end": "string"            }          }        ],        "source": "string",        "updatedAt": "2019-08-24T14:15:22Z"      },      "data": {},      "contained": {        "property1": [          {            "id": "string",            "type": "string",            "meta": {              "createdAt": "2019-08-24T14:15:22Z",              "identifier": [                {                  "id": "string",                  "system": "string",                  "value": "string",                  "use": "string",                  "period": {                    "id": "string",                    "start": "string",                    "end": "string"                  }                }              ],              "source": "string",              "updatedAt": "2019-08-24T14:15:22Z"            },            "data": {}          }        ],        "property2": [          {            "id": "string",            "type": "string",            "meta": {              "createdAt": "2019-08-24T14:15:22Z",              "identifier": [                {                  "id": "string",                  "system": "string",                  "value": "string",                  "use": "string",                  "period": {                    "id": "string",                    "start": "string",                    "end": "string"                  }                }              ],              "source": "string",              "updatedAt": "2019-08-24T14:15:22Z"            },            "data": {}          }        ]      }    }  ]}